﻿<Window
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:local="clr-namespace:PrintHelpApp" x:Class="PrintHelpApp.MainWindow"
        Title="MainWindow" Height="230" Width="325" ResizeMode="CanMinimize" Foreground="Gray" FontWeight="Bold">
    <WindowChrome.WindowChrome>
        <WindowChrome CaptionHeight="0"
                            GlassFrameThickness="0,0,0,1"
                            ResizeBorderThickness="5" />
    </WindowChrome.WindowChrome>
    <Border x:Name="bdrRoot"
		Padding="0"
		Background="#f2f2f2">
        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition Height="35"/>
                <RowDefinition Height="136*"/>
                <RowDefinition Height="35"/>

            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition></ColumnDefinition>
                <ColumnDefinition></ColumnDefinition>
            </Grid.ColumnDefinitions>
            <local:StatusBar Grid.ColumnSpan="2"/>
            <Label Grid.Row="0" VerticalAlignment="Bottom" Grid.ColumnSpan="2" HorizontalAlignment="Stretch" Background="LightGray" Height="2"></Label>

            <ContentControl Content="{Binding CurrentContent}" Grid.ColumnSpan="2" Grid.Row="1"></ContentControl>


            <Button Content="Распечатать сейчас" Command="{Binding PrintImidiatly}" Grid.Row="2">
                <Button.Style>
                    <Style TargetType="Button">
                        <Setter Property="Background" Value="#FF49D649"></Setter>
                        <Setter Property="Template">
                            <Setter.Value>
                                <ControlTemplate TargetType="Button">
                                    <Border Background="{TemplateBinding Background}">
                                        <Grid>
                                            <Grid Name="Grid" Background="#4CCFCFCF"></Grid>
                                            <Label Content="{TemplateBinding Content}" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                                        </Grid>

                                    </Border>
                                    <ControlTemplate.Triggers>
                                        <Trigger Property="IsMouseOver" Value="True">
                                            <Setter TargetName="Grid" Property="Visibility" Value="Visible"></Setter>
                                        </Trigger>
                                        <Trigger Property="IsMouseOver" Value="False">
                                            <Setter TargetName="Grid" Property="Visibility" Value="Collapsed"></Setter>
                                        </Trigger>
                                    </ControlTemplate.Triggers>
                                </ControlTemplate>
                            </Setter.Value>
                        </Setter>
                        
                    </Style>
                </Button.Style>
            </Button>
            <ToggleButton Command="{Binding TurnProgram}" IsChecked="{Binding Work, Mode=OneWay}"  Grid.Row="2" Grid.Column="1">
                <ToggleButton.Style>
                    <Style TargetType="ToggleButton">
                        <Setter Property="Background" Value="#FF49D649"></Setter>
                        <Setter Property="Content" Value="Выключить"></Setter>
                        <Setter Property="Template">
                            <Setter.Value>
                                <ControlTemplate TargetType="ToggleButton">
                                    <Border Background="{TemplateBinding Background}">
                                        <Grid>
                                            <Grid Name="Grid" Background="#4CCFCFCF"></Grid>
                                            <Label Content="{TemplateBinding Content}" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                                        </Grid>
                                        
                                    </Border>
                                    <ControlTemplate.Triggers>
                                        <Trigger Property="IsMouseOver" Value="True">
                                            <Setter TargetName="Grid" Property="Visibility" Value="Visible"></Setter>
                                        </Trigger>
                                        <Trigger Property="IsMouseOver" Value="False">
                                            <Setter TargetName="Grid" Property="Visibility" Value="Collapsed"></Setter>
                                        </Trigger>
                                    </ControlTemplate.Triggers>
                                </ControlTemplate>
                            </Setter.Value>
                        </Setter>
                        <Style.Triggers>
                            <Trigger Property="IsChecked" Value="False">
                                <Setter Property="Background" Value="Tomato"></Setter>
                                <Setter Property="Content" Value="Включить"></Setter>
                            </Trigger>
                            
                        </Style.Triggers>
                    </Style>
                </ToggleButton.Style>
            </ToggleButton>

        </Grid>



    </Border>

</Window>

